Bug 1183650 - Cannot delete a RedHat Product or Products with Repositories published in a Content View error does not help user
Summary: Cannot delete a RedHat Product or Products with Repositories published in a C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2015-01-19 11:55 UTC by Peter Vreman
Modified: 2020-09-10 09:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15811 0 Normal Closed Cannot delete a RedHat Product or Products with Repositories published in a Content View error does not help user 2021-01-29 08:25:32 UTC

Description Peter Vreman 2015-01-19 11:55:52 UTC
Description of problem:
When deleting a Product the error "An error occurred removing the Products: Cannot delete a Red Hat Products or Products with Repositories published in a Content View" is too generic. It is for the user unclear how to proceed when he wants to delete the product. E.g. there is no link to a Published Content View.

Also the Error message describes 2 different Errors:
- Not allowed to delete Red Hat Products
- Not allowed to delete a published repository




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
- Cross-references from Products to ContentViews so it is known where the Product is used.
- Separate error for trying to delete a RedHat Product
- Separate error for message that for deleting a published product including the name of the Content views that use the repositories.



Additional info:

Comment 1 RHEL Program Management 2015-01-19 12:03:27 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 8 Brad Buckingham 2016-07-24 16:07:32 UTC
Created redmine issue http://projects.theforeman.org/issues/15811 from this bug

Comment 9 Brad Buckingham 2016-07-26 21:06:00 UTC
Upstream Katello PR: https://github.com/Katello/katello/pull/6208

A couple examples of messaging with the update:

hammer> product delete --id 2
Could not destroy the product:
  Cannot delete product with repositories published in a
  content view.  Product: zoo, Content Views: view1, view2, view3

hammer> product delete --id 51
Could not destroy the product:
  Cannot delete Red Hat product: Red Hat Enterprise Linux Server

hammer> product delete --id 3
Product destroyed

Comment 12 Sanket Jagtap 2016-10-21 12:12:58 UTC
Build : Satellite 6.3 snap 5


- Cross-references from Products to ContentViews so it is known where the Product is used.

- Separate error for trying to delete a RedHat Product

- Separate error for message that for deleting a published product including the name of the Content views that use the repositories.


Steps:
hammer> product delete --id 12
Could not destroy the product:
  Cannot delete Red Hat product: Red Hat Enterprise Linux Server

hammer> product delete --id 23
Could not destroy the product:
  Cannot delete product with repositories published in a content view.  Product: sattoolsrhel7_prd, Content View rhel7_cv: Versions: 1.0, Content View content_test: Versions: 1.0

Comment 14 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.